import { EventEmitter } from '@angular/core';
import { AppLocalizationService, LfToastMessage } from '@laserfiche/lf-ui-components/internal-shared';
import * as i0 from "@angular/core";
/** @internal */
export declare class FeedbackSubmissionComponent {
    private localizationService;
    isFeedback?: boolean;
    feedbackTextChanged: EventEmitter<string>;
    toastMessages: LfToastMessage[];
    readonly maxFeedbackLength: number;
    feedbackLength: number;
    feedbackEmailCheckbox: boolean;
    feedbackImageBase64: string | undefined;
    localizedStrings: {
        FOUND_SOMETHING_LIKE_DISLIKE_LET_US_KNOW: import("rxjs").Observable<string>;
        DO_YOU_HAVE_IDEA_NEW_FEATURE_IMPROVEMENT_LOOK_FORWARD_TO_HEARING: import("rxjs").Observable<string>;
        TELL_US_ABOUT_EXPERIENCE: import("rxjs").Observable<string>;
        PLEASE_DO_NOT_INCLUDE_CONFIDENTIAL_OR_PERSONAL_INFO_IN_FEEDBACK: import("rxjs").Observable<string>;
        YOU_MAY_CONTACT_ME_ABOUT_FEEDBACK: import("rxjs").Observable<string>;
        TELL_US_ABOUT_IDEA: import("rxjs").Observable<string>;
        REQUIRED: import("rxjs").Observable<string>;
    };
    constructor(localizationService: AppLocalizationService);
    onFeedbackImageBase64(imageBase64: string | undefined): void;
    feedbackTextBoxChange(event: InputEvent): void;
    onImageUploadError(errMsg: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FeedbackSubmissionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FeedbackSubmissionComponent, "lf-feedback-submission", never, { "isFeedback": { "alias": "isFeedback"; "required": false; }; }, { "feedbackTextChanged": "feedbackTextChanged"; }, never, never, false, never>;
}
